let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/0s6yah4v71z5jqvsp1l8zvssjv1xka1l-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/cib5daqwbsbk6009r7pcpkd0snsf8brx-coreutils-8.30/bin";
  bzip2 = "/nix/store/7h5vpwpbchlsy01x1j76mcpxl6lnhkn4-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/p7lpf53v5f3zkb5xfsr6m45naf9696d3-gzip-1.10/bin/gzip";
  xz = "/nix/store/4yqvnxlkqcyrvyc58063ag617fcfhzq7-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/jmddmx3v8bf6vkiq2cd87kfwb07298w9-gnutar-1.31/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/cib5daqwbsbk6009r7pcpkd0snsf8brx-coreutils-8.30/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/8cac1ivcnchlpzmdjby2f71l1fwpnymr-nix-2.3.1/bin";
  nixPrefix = "/nix/store/8cac1ivcnchlpzmdjby2f71l1fwpnymr-nix-2.3.1";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/8cac1ivcnchlpzmdjby2f71l1fwpnymr-nix-2.3.1/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
